Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# PluginClass Namespace Reference

Namespace for plugin class related classes. More...

## Compounds
class | ClassDescC
| Plugin Class Descriptor class. More...
class | ClassIdC
| Plugin Class ID. More...
struct | DLLClassS
class | DllInterfaceC
| DLLInterface class. More...
class | FactoryC
| Plugin class factory class. More...
class | SuperClassIdC
| Plugin super class ID. More...
## Typedefs
typedef PajaTypes::int32(* | GetClassdescCountF )()
typedef ClassDescC *(* | GetClassdescF )(PajaTypes::int32)
typedef PajaTypes::int32(* | GetApiVersionF )()
typedef char *(* | GetDllNameF )()
## Enumerations
enum | ClassTypesE { CLASS_TYPE_NONE = 0, CLASS_TYPE_EFFECT, CLASS_TYPE_FILEIMPORT, CLASS_TYPE_DEVICEDRIVER, CLASS_TYPE_FILEPROCEDURAL, CLASS_TYPE_INTERNAL }
| Plugin types. More...
## Variables
const SuperClassIdC | SUPERCLASS_INTERNAL = SuperClassIdC( 0, 0x0000001 )
| Super class ID for internal use.
const SuperClassIdC | NULL_SUPERCLASS = SuperClassIdC( 0, 0x0000000 )
| NULL super class ID. (not implemented).
const ClassIdC | NULL_CLASSID = ClassIdC( 0, 0 )
| NULL class ID.
const PluginClass::SuperClassIdC | SUPERCLASS_EFFECT = PluginClass::SuperClassIdC( 0, 0x1000000 )
| The effect super class ID.
const PluginClass::SuperClassIdC | SUPERCLASS_IMPORT = PluginClass::SuperClassIdC( 0, 0x2000000 )
| The importable super class ID.
const PluginClass::SuperClassIdC | SUPERCLASS_IMAGE = PluginClass::SuperClassIdC( 0, 0x2000001 )
| The importable super class ID.

## Detailed Description

Namespace for plugin class related classes.

## Enumeration Type Documentation

enum ClassTypesE

  | Plugin types. Enumeration values:
  CLASS_TYPE_EFFECT | Effect plugin.
  CLASS_TYPE_FILEIMPORT | File import plugin.
  CLASS_TYPE_DEVICEDRIVER | Device driver plugin.
  CLASS_TYPE_FILEPROCEDURAL | Procedural file plugin.
  CLASS_TYPE_INTERNAL | Internal plugin (won't show in any lists).

## Variable Documentation

const ClassIdC NULL_CLASSID = ClassIdC( 0, 0 )

| NULL class ID.

const SuperClassIdC NULL_SUPERCLASS = SuperClassIdC( 0, 0x0000000 )

| NULL super class ID. (not implemented).

const PluginClass::SuperClassIdC SUPERCLASS_EFFECT = PluginClass::SuperClassIdC( 0, 0x1000000 )

| The effect super class ID. Every effect should return CLASS_EFFECT as super class.

const PluginClass::SuperClassIdC SUPERCLASS_IMAGE = PluginClass::SuperClassIdC( 0, 0x2000001 )

| The importable super class ID. Every importer should return SUPERCLASS_IMAGE as super class if it implements the ImportableImageI interface.

const PluginClass::SuperClassIdC SUPERCLASS_IMPORT = PluginClass::SuperClassIdC( 0, 0x2000000 )

| The importable super class ID. Every importer should return SUPERCLASS_IMPORT as super class if it only implements the ImportableI interface.

const SuperClassIdC SUPERCLASS_INTERNAL = SuperClassIdC( 0, 0x0000001 )

| Super class ID for internal use.